/**
 * This is an autogenerated file created by the Stencil build process.
 * It contains typing information for all components that exist in this project
 * and imports for stencil collections that might be configured in your stencil.config.js file
 */

import '@stencil/core';

declare global {
  namespace JSX {
    interface Element {}
    export interface IntrinsicElements {}
  }
  namespace JSXElements {}

  interface HTMLStencilElement extends HTMLElement {
    componentOnReady(): Promise<this>;
    componentOnReady(done: (ele?: this) => void): void;

    forceUpdate(): void;
  }

  interface HTMLAttributes {}
}

import {
  TimeSlot,
} from './models/timeslot';

declare global {
  interface HTMLHourlyComponentElement extends HTMLStencilElement {
    'meridiem': string;
    'store': any;
    'time': number;
  }
  var HTMLHourlyComponentElement: {
    prototype: HTMLHourlyComponentElement;
    new (): HTMLHourlyComponentElement;
  };
  interface HTMLElementTagNameMap {
    'hourly-component': HTMLHourlyComponentElement;
  }
  interface ElementTagNameMap {
    'hourly-component': HTMLHourlyComponentElement;
  }
  namespace JSX {
    interface IntrinsicElements {
      'hourly-component': JSXElements.HourlyComponentAttributes;
    }
  }
  namespace JSXElements {
    export interface HourlyComponentAttributes extends HTMLAttributes {
      'meridiem'?: string;
      'onItemSelected'?: (event: CustomEvent) => void;
      'onItemUpdated'?: (event: CustomEvent) => void;
      'store'?: any;
      'time'?: number;
    }
  }
}


declare global {
  interface HTMLModalComponentElement extends HTMLStencilElement {
    'content': TimeSlot;
    'isActive': boolean;
  }
  var HTMLModalComponentElement: {
    prototype: HTMLModalComponentElement;
    new (): HTMLModalComponentElement;
  };
  interface HTMLElementTagNameMap {
    'modal-component': HTMLModalComponentElement;
  }
  interface ElementTagNameMap {
    'modal-component': HTMLModalComponentElement;
  }
  namespace JSX {
    interface IntrinsicElements {
      'modal-component': JSXElements.ModalComponentAttributes;
    }
  }
  namespace JSXElements {
    export interface ModalComponentAttributes extends HTMLAttributes {
      'content'?: TimeSlot;
      'isActive'?: boolean;
      'onSavingChanges'?: (event: CustomEvent) => void;
      'onToggleModal'?: (event: CustomEvent) => void;
    }
  }
}


declare global {
  interface HTMLMyComponentElement extends HTMLStencilElement {

  }
  var HTMLMyComponentElement: {
    prototype: HTMLMyComponentElement;
    new (): HTMLMyComponentElement;
  };
  interface HTMLElementTagNameMap {
    'my-component': HTMLMyComponentElement;
  }
  interface ElementTagNameMap {
    'my-component': HTMLMyComponentElement;
  }
  namespace JSX {
    interface IntrinsicElements {
      'my-component': JSXElements.MyComponentAttributes;
    }
  }
  namespace JSXElements {
    export interface MyComponentAttributes extends HTMLAttributes {

    }
  }
}

declare global { namespace JSX { interface StencilJSX {} } }
